summaryrefslogtreecommitdiffstats
path: root/patches/source/bluez/config/rc.bluetooth
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-25 23:29:36 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 15:10:50 -0700
commit329684b59b8d55dd403c2c59f76d37210ba2f517 (patch)
tree10421c6ee3bf179d50915cc00d4c15c1b83cb77a /patches/source/bluez/config/rc.bluetooth
parentb76270bf9e6dd375e495fec92140a79a79415d27 (diff)
downloadcurrent-13.1.tar.gz
current-13.1.tar.xz
Fri May 25 23:29:36 UTC 201813.1
patches/packages/glibc-zoneinfo-2018e-noarch-2_slack13.1.txz: Rebuilt. Handle removal of US/Pacific-New timezone. If we see that the machine is using this, it will be automatically switched to US/Pacific.
Diffstat (limited to 'patches/source/bluez/config/rc.bluetooth')
-rw-r--r--patches/source/bluez/config/rc.bluetooth30
1 files changed, 30 insertions, 0 deletions
diff --git a/patches/source/bluez/config/rc.bluetooth b/patches/source/bluez/config/rc.bluetooth
new file mode 100644
index 000000000..12540d833
--- /dev/null
+++ b/patches/source/bluez/config/rc.bluetooth
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+bluez_start() {
+ # bluetoothd requires dbus, but dbus isn't started early enough during
+ # system boot, so we have to re-trigger the events now
+ udevadm trigger --subsystem-match=bluetooth --action=add
+}
+
+bluez_stop() {
+ pkill -TERM bluetoothd 1>/dev/null 2>/dev/null
+}
+
+case "$1" in
+ start)
+ bluez_start
+ ;;
+ stop)
+ bluez_stop
+ ;;
+ restart)
+ bluez_stop
+ sleep 1
+ bluez_start
+ ;;
+ *)
+ printf "Usage: $N {start|stop|restart}\n"
+ exit 1
+ ;;
+esac
+